/**
 * @file
 * Custom JS for the JSON table field formatter.
 */
(function ($, Drupal, drupalSettings) {
  'use strict';
  /**
   * Attach behavior for JSON Fields.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.datafield_json_view = {
    attach(context) {
      $(context)
        .find('.json-view')
        .once('json-view')
        .each(function (index, element) {
          let fieldName = $(this).data('json-field');
          let config = drupalSettings.json_view[fieldName];
          $(this).JSONView($(this).text(), config);
        });
    }
  };

})(jQuery, Drupal, drupalSettings);
